Create subtaskPOST

Description

Create a subtask. By default it will be added as the last subtask of its task, but you can optionally use an insertIndex query parameter to specify where in the subtask list it should be added.

Permissions

The API token needs the Edit tasks permission.

Request format

curl -X POST https://kanbanflow.com/api/v1/tasks/<TASK_ID>/subtasks -H "Content-type: application/json" -d '{ "<PROPERTY_1>": <PROPERTY_VALUE_1>, "<PROPERTY_2>": <PROPERTY_VALUE_2>, ... "<PROPERTY_N>": <PROPERTY_VALUE_N> }'

Example request

curl -X POST https://kanbanflow.com/api/v1/tasks/T3s6UGyzY/subtasks -H "Content-type: application/json"
 -d '{ "name": "Proofread" }'

Example response

{
    "insertIndex": 0
}

Valid properties

PropertyTypeComment
nameStringRequired. The name of the subtask.
finishedBooleanUse true to indicate if the subtask should be checked. Default: false.
userIdStringUsed for assigning a user to the subtask.
dueDateTimestampStringThe UTC timestamp when the subtask is due.
dueDateTimestampLocalStringThe user's local timestamp when the subtask is due. Used for email reminders. Default: dueDateTimestamp.